/* Copyright (C) 2002 GFRN systems

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   See the GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
   02111-1307, USA.

   The latest version of this program may be found at
   http://CQiNet.sourceforge.net

   $Log: configvars.c,v $
   Revision 1.1.1.1  2002/08/10 20:33:41  wb6ymh
   initial import

*/

#include "common.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "configfile.h"

// Configuration variables

// String variables: Dynamically allocated
char *ConferenceCall;
char *ConferencePass;
char *ConferenceQth;
char *ConferenceID;
char *DirServerHost;

// Integer variables
int ConfAudioTimeout    = 400;   // in milliseconds (> 4 frames)
int ConfMemberTimeout   = 40;    // in seconds (>= 4 missed frames)
int LoginInterval       = 360;   // in seconds
int StationListInterval = 310;   // in seconds
int MaxConferenceClients= 8;

struct config_entry ConfigVars[] = {
   { "ConferenceCall", "%s", &ConferenceCall, 1},
   { "ConferencePass", "%s", &ConferencePass, 1},
   { "ConferenceQth", "%s", &ConferenceQth, 1},
   { "ConferenceID", "%s", &ConferenceID, 0},
   { "DirServerHost", "%s", &DirServerHost, 0},
   { "ConfAudioTimeout", "%d", &ConfAudioTimeout, 0},
   { "ConfMemberTimeout", "%d", &ConfMemberTimeout, 0},
   { "ConfAudioTimeout", "%d", &ConfAudioTimeout, 0},
   { "LoginInterval", "%d", &LoginInterval, 0},
   { "StationListInterval", "%d", &StationListInterval, 0},
   { "MaxConferenceClients", "%d", &MaxConferenceClients, 0},
   { "" }   /* end of table marker */
};
 

void SetConfigDefaults(int bSet)
{
   if(ConferenceID != NULL) {
      free(ConferenceID);
   }
   
   if(bSet) {
      ConferenceID = strdup(PACKAGE " V " VERSION);
   }

   if(DirServerHost != NULL) {
      free(DirServerHost);
   }

   if(bSet) {
      DirServerHost = strdup("server1.echolink.org");
   }
}


